Ish Posted October 9, 2019 Share Posted October 9, 2019 (edited) DEAR TEAM MODIFY :----------------------------------------------- NOW I NEED ONLY TO MAKE COORDINATE TABLE (BY LAYER TEXT POINT, LINE) , I WRITE STEP ALSO IN CAD FILE. HERE I ATTACHED CAD FILE FOR YOUR REFERENCE. THANKS TEAM. I WILL BE VERY THANKS FULL . COORDINATE TABLE 2.dwg Edited November 23, 2019 by Ish MODIFY Quote Link to comment Share on other sites More sharing options...
BIGAL Posted October 10, 2019 Share Posted October 10, 2019 Ish you have made a lot of requests but not much providing solutions, maybe time to have a go, you should by now know how to search for what you have asked for. Get pline co-ords (setq co-ord (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "pick pline"))))) Make a table and fill search Export co-ords to csv search 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted October 10, 2019 Author Share Posted October 10, 2019 This request not for pline coordinate. this is for pick point request. Anywhere I pick/click make point with point number and draw coordinate table accordingly. thanks Quote Link to comment Share on other sites More sharing options...
BIGAL Posted October 10, 2019 Share Posted October 10, 2019 (edited) A simple make a list of points. (setq lst '()) (while (setq pt (getpoint "Pick point Enter to exit")) (setq lst (cons pt lst)) ) ; now make table and fill in I did a google for "put list into table lisp" just scroll down a bit and answer is there. Edited October 10, 2019 by BIGAL 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted October 12, 2019 Author Share Posted October 12, 2019 i did google but not found as per my requirement, So,i request you sir much better upload complete lisp. As per my requirement. thanks 1 Quote Link to comment Share on other sites More sharing options...
steven-g Posted October 12, 2019 Share Posted October 12, 2019 Wow - I don't think there is much more to add than that. 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted October 12, 2019 Author Share Posted October 12, 2019 MISSING STEP PICK YOUR REQUIREMENTS: <EN> <ENZ> SPECIFY LOCATION FOR COORDINATE TABLE: ENTER YOUR START NUMBER:<1> PICK POINT Enter to exit: Quote Link to comment Share on other sites More sharing options...
Ish Posted October 13, 2019 Author Share Posted October 13, 2019 Quote Link to comment Share on other sites More sharing options...
Ish Posted October 14, 2019 Author Share Posted October 14, 2019 Quote Link to comment Share on other sites More sharing options...
rkmcswain Posted October 14, 2019 Share Posted October 14, 2019 While you're waiting, consider that this isn't some magic portal where you ask for something for free and it's delivered to you with a flash of smoke..... 4 Quote Link to comment Share on other sites More sharing options...
BIGAL Posted October 14, 2019 Share Posted October 14, 2019 You can take a horse to water but it does not mean it will drink. 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted November 23, 2019 Author Share Posted November 23, 2019 DEAR TEAM FOR ABOVE POST I ALREADY GET TEXT TO EXCEL LISP, NOW I NEED ONLY TO MAKE COORDINATE TABLE , I WRITE STEP ALSO IN CAD FILE. HERE I ATTACHED CAD FILE FOR YOUR REFERENCE. THANKS TEAM. I WILL BE VERY THANKS FULL . COORDINATE TABLE 2.dwg Quote Link to comment Share on other sites More sharing options...
bijoymano Posted November 23, 2019 Share Posted November 23, 2019 http://www.cadlispandtips.com/2011/09/lisp-coordinates-with-table.html 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted November 23, 2019 Author Share Posted November 23, 2019 22 minutes ago, bijoymano said: http://www.cadlispandtips.com/2011/09/lisp-coordinates-with-table.html I USED THAT BUT IN THIS LISP 2 THING MISSING, REMARKS & ELEVATION Quote Link to comment Share on other sites More sharing options...
hanhphuc Posted November 23, 2019 Share Posted November 23, 2019 it's not difficult task. there are many useful functions ready to use just search or google. example --> old thread offset table (hp:table list insertion title size) ; just need to populate your data in the list (list ( ... ) ; 1st row ( ...) ; 2nd row (...) ; 3rd row (...) ; 4th row (...) ; nth row etc... ) This is very basic code see learn how coordinates put at 4th row? (defun c:test (/ pt x y z lst) (and (setq i 3 pt (getpoint "\nSpecify point of table..") ) (setq x (car pt) ; easting y (cadr pt) ; northing z (caddr pt) ; elevation ) (hp:TABLE (setq lst (list '("PT" "EASTING" "NORTHING" "ELEV" "REMARK") '("1" "0.000" "0.000" "10.00" "A") '("2" "123.00" "456.00" "20.00" "B") '("3" "-987.00" "654.00" "30.00" "C") ;;learn to populate list here (list (itoa (setq i (1+ i))) ; increamental (rtos y 2 3) (rtos x 2 3) (rtos z 2 3) "POINT" ) ;;try to add same pattern here see what happen? ) ) pt ; point "COORDINATES TABLE" ; Title 1.0 ; textsize ) ) (princ) ) 1 Quote Link to comment Share on other sites More sharing options...
Ish Posted November 23, 2019 Author Share Posted November 23, 2019 (edited) 1 hour ago, hanhphuc said: it's not difficult task. there are many useful functions ready to use just search or google. example --> old thread offset table (hp:table list insertion title size) ; just need to populate your data in the list (list ( ... ) ; 1st row ( ...) ; 2nd row (...) ; 3rd row (...) ; 4th row (...) ; nth row etc... ) This is very basic code see learn how coordinates put at 4th row? (defun c:test (/ pt x y z lst) (and (setq i 3 pt (getpoint "\nSpecify point of table..") ) (setq x (car pt) ; easting y (cadr pt) ; northing z (caddr pt) ; elevation ) (hp:TABLE (setq lst (list '("PT" "EASTING" "NORTHING" "ELEV" "REMARK") '("1" "0.000" "0.000" "10.00" "A") '("2" "123.00" "456.00" "20.00" "B") '("3" "-987.00" "654.00" "30.00" "C") ;;learn to populate list here (list (itoa (setq i (1+ i))) ; increamental (rtos y 2 3) (rtos x 2 3) (rtos z 2 3) "POINT" ) ;;try to add same pattern here see what happen? ) ) pt ; point "COORDINATES TABLE" ; Title 1.0 ; textsize ) ) (princ) ) i will be thanks sir, if you make complete one. including below step (because i need choice , en or enz.) with layer wise, point object in point layer, text in text layer and line in outer line layer. COMMAND: STOC PICK YOUR (choice) REQUIREMENTS: <EN> <ENZ> EN DEFAULT SPECIFY LOCATION FOR COORDINATE TABLE: ENTER YOUR START NUMBER:<1> DEFAULT BUT WITH CHOICE ALSO. PICK POINT: thanks.. Edited November 23, 2019 by Ish MODIFY Quote Link to comment Share on other sites More sharing options...
Ish Posted November 24, 2019 Author Share Posted November 24, 2019 this program i need for bridge and underpass setting out. footing, pile, base slab wall, etc. and also for road layout setting out. thanks Quote Link to comment Share on other sites More sharing options...
Ish Posted November 25, 2019 Author Share Posted November 25, 2019 our surveyor they need also this kind of lisp. for setting out purpose. thanks team Quote Link to comment Share on other sites More sharing options...
Ish Posted November 26, 2019 Author Share Posted November 26, 2019 Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.